Skip to main content
GET
List Engage drafts

Authorizations

Authorization
string
header
required

Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.

FlowAuthorization Code
Authorization URL
/api/v1/oauth/authorize
Token URL
/api/v1/oauth/token
FlowClient Credentials
Token URL
/api/v1/oauth/token
Scopes1
engage.queue:read
Read the engagement send queue.

Headers

X-Organization-Id
string<uuid>

Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Query Parameters

organizationId
string<uuid>

Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string
page
integer
default:1
Required range: x >= 1
pageSize
integer
default:50
Required range: 1 <= x <= 200
sortBy
string
order
enum<string>
default:asc
Available options:
asc,
desc
forUserId
string<uuid>

Organization user whose drafts to list. Resolve from listOrganizationUsers. Defaults to the authenticated user, who may not be a member of the active org.

accountId
string<uuid>
channel
enum<string>
Available options:
email,
linkedin,
slack
draftType
enum<string>
Available options:
send,
template,
campaign

Response

Engage draft list.

data
object[]
required
pagination
object
required